org.apache.solr.search

## Class ReRankCollector

- java.lang.Object
- - org.apache.lucene.search.TopDocsCollector
  - - org.apache.solr.search.ReRankCollector

- All Implemented Interfaces:
    Collector

      public class ReRankCollector
      extends TopDocsCollector

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ReRankCollector.BoostedComp`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.TopDocsCollector

      `EMPTY_TOPDOCS, pq, totalHits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReRankCollector(int reRankDocs, int length, Rescorer reRankQueryRescorer, QueryCommand cmd, IndexSearcher searcher, Map<BytesRef,Integer> boostedPriority)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LeafCollector` | `getLeafCollector(LeafReaderContext context)`
    `int` | `getTotalHits()`
    `boolean` | `needsScores()`
    `TopDocs` | `topDocs(int start, int howMany)`

    - ### Methods inherited from class org.apache.lucene.search.TopDocsCollector

      `newTopDocs, populateResults, topDocs, topDocs, topDocsSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReRankCollector

          public ReRankCollector(int reRankDocs,
                                 int length,
                                 Rescorer reRankQueryRescorer,
                                 QueryCommand cmd,
                                 IndexSearcher searcher,
                                 Map<BytesRef,Integer> boostedPriority)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getTotalHits

          public int getTotalHits()

      Overrides:
        `getTotalHits` in class `TopDocsCollector`

    - #### getLeafCollector

          public LeafCollector getLeafCollector(LeafReaderContext context)
                                         throws IOException

      Throws:
        `IOException`

    - #### needsScores

          public boolean needsScores()

    - #### topDocs

          public TopDocs topDocs(int start,
                                 int howMany)

      Overrides:
        `topDocs` in class `TopDocsCollector`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.